function getMesswertStatusJSON(tmptype) {
	var myJSON = {
 		"func" : "getBauteilArchiv",
 		"flavor" : tmptype
	};
	response = $.ajax(
	{
		url: "/php/DBSachen.php",
		data: { json: JSON.stringify(myJSON)},
		async: false,
		method: "POST"
	});
	return response.responseText;
}

var arr = JSON.parse(getMesswertStatusJSON("2121"));

console.log(arr.length);

for (var i = 0; i < arr.length; i++) {
	
  tr= $('<tr/>');
  tr.append("<td> -- </td>"); // tr.append("<td>" + arr[i].TXLCode + "</td>");
  tr.append("<td>" + helper.pad(arr[i].R33 ,2) + "</td>"); // Tool
  tr.append("<td>" + helper.pad(arr[i].R43 ,2) + "</td>"); // Part
	tr.append("<td>" + helper.pad(arr[i].OL1 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].OL2 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].OW1 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].OW2 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R11 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R12 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R13 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R21 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R22 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R23 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R31 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R32 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R33 ,2) + "</td>");
	tr.append("<td>" + helper.pad(arr[i].R41 ,2) + "</td>");
	tr.append("<td>" + helper.pad(Number(arr[i].R42) ,2) + "</td>");
	tr.append("<td>" + helper.pad(Number(arr[i].R43) ,2) + "</td>");

  $('#tblMessarchiv').append(tr);
	
}


